<?php

/**
 * Enhancements to recent posts
 *
 * @package RecentPostsEnhancement
 * @version 2.0.7
 * @author davidhs
 * @copyright 2013-2018 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Admin area settings.
function rpeSettings($return_config = false)
{
	global $txt, $scripturl, $context;

	$config_vars = array();
	$config_vars[] = array('check', 'rpe_hide_unread_new');
	$config_vars[] = array('check', 'rpe_hide_unread_all');
	$config_vars[] = array('check', 'rpe_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_hide_recent');
	$config_vars[] = array('check', 'rpe_one_line');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_menu_hide_unread_new');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_all');
	$config_vars[] = array('check', 'rpe_menu_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_menu_hide_recent');
	$config_vars[] = '';
	$config_vars[] = array('check', 'rpe_category_hide_unread_new');
	$config_vars[] = array('check', 'rpe_category_hide_unread_all');
	$config_vars[] = array('check', 'rpe_category_hide_unread_replies');
	$config_vars[] = array('check', 'rpe_category_hide_recent');
	$config_vars[] = array('check', 'rpe_category_one_line');
	foreach ($config_vars as $i => $v)
	{
		if (is_array($v) && 'check' == $v[0])
		{
			$format = '';
			$header = false;
			if (0 === strpos($v[1], 'rpe_hide'))
			{
				$header = true;
				$format = $txt['rpe_hide'];
			}
			elseif (0 === strpos($v[1], 'rpe_menu_hide'))
				$format = $txt['rpe_menu_hide'];
			elseif (0 === strpos($v[1], 'rpe_category_hide'))
				$format = $txt['rpe_category_hide'];

			if (!empty($format))
			{
				if (strpos($v[1], 'unread_new'))
					$arg = $txt[$header ? 'unread_since_visit' : 'unread_topics_visit'];
				elseif (strpos($v[1], 'unread_all'))
					$arg = $txt[$header ? 'rpe_show_unread_all' : 'unread_topics_all'];
				elseif (strpos($v[1], 'unread_replies'))
					$arg = $txt[$header ? 'show_unread_replies' : 'unread_replies'];
				else // strpos($v[1], 'recent')
					$arg = $txt[$header ? 'rpe_show_recent' : 214];

				$config_vars[$i][] = ''; // Size.
				$config_vars[$i][] = sprintf($format, $arg); // Label.
			}
		}
	}

	// Saving?
	if (isset($_GET['save']))
	{
		saveDBSettings($config_vars);
		redirectexit('action=featuresettings;sa=rpe');
	}

	$context['post_url'] = $scripturl . '?action=featuresettings2;save;sa=rpe';
	$context['settings_title'] = $txt['rpe'];

	prepareDBSettingContext($config_vars);
}

?>